#include <iostream>
using namespace std;

int main () {
    int n, d, k, x, i = 0, s = 0;
    cin >> n >> d >> k;
    x = d * k;

    if (n > x){
        while(x > 0){
            i++;
            s += i;
            x--;
        }
    }else{
        while(i <= n && x > 0){
            x--;
            i++;
            s += i;
        }
    }
    cout << s;

    return 0;
}

